summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Johannes Schoepfer2018-11-16 17:00:43 +0100
committer Willy Sudiarto Raharjo2018-11-17 12:42:50 +0100
commite4752a3538cff99ff5b5587e0762e318dc09f9dd (patch)
tree3f3a8436ece04c2935429f956cf060a5407ed926
parentaac11d60d222dbc9a18418256355c0e8fd567688 (diff)
downloadslackbuilds-e4752a3538cff99ff5b5587e0762e318dc09f9dd.tar.gz
network/s-nail: Added (mail sending and receiving utility).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/s-nail/README16
-rw-r--r--network/s-nail/doinst.sh13
-rw-r--r--network/s-nail/s-nail.SlackBuild132
-rw-r--r--network/s-nail/s-nail.info10
-rw-r--r--network/s-nail/slack-desc19
5 files changed, 190 insertions, 0 deletions
diff --git a/network/s-nail/README b/network/s-nail/README
new file mode 100644
index 0000000000..c18e83c0f2
--- /dev/null
+++ b/network/s-nail/README
@@ -0,0 +1,16 @@
+S-nail (mail sending and receiving utility)
+
+S-nail provides a simple and friendly environment for sending and
+receiving mail. It is intended to provide the functionality of the
+POSIX mailx command, but is MIME capable and optionally offers
+extensions for line editing, S/MIME, SMTP and POP3, among others. It
+divides incoming mail into its constituent messages and allows the
+user to deal with them in any order. It offers many COMMANDS and
+INTERNAL VARIABLES for manipulating messages and sending mail. It
+offers simple editing capabilities, and increasingly powerful and
+reliable non-interactive scripting capabilities.
+
+NOTE
+
+This package conflicts with Slackware's mailx package. You should
+remove mailx before installing this package.
diff --git a/network/s-nail/doinst.sh b/network/s-nail/doinst.sh
new file mode 100644
index 0000000000..b541fb201d
--- /dev/null
+++ b/network/s-nail/doinst.sh
@@ -0,0 +1,13 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/nail.rc.new
diff --git a/network/s-nail/s-nail.SlackBuild b/network/s-nail/s-nail.SlackBuild
new file mode 100644
index 0000000000..bc67eef46f
--- /dev/null
+++ b/network/s-nail/s-nail.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/sh
+
+# Slackware build script for S-nail
+
+# Copyright 2008, 2009, 2010, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2018 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=s-nail
+VERSION=${VERSION:-14.9.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+make \
+ VAL_PREFIX=/usr \
+ VAL_SYSCONFDIR=/etc \
+ VAL_MANDIR=/usr/man \
+ VAL_MAIL=/var/spool/mail \
+ VAL_MTA=/usr/sbin/sendmail \
+ OPT_AUTOCC=0 \
+ VAL_SID= \
+ VAL_MAILX=mailx \
+ VAL_SYSCONFRC=nail.rc \
+ VAL_RANDOM="libgetrandom,sysgetrandom,urandom" \
+ config
+
+make build
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# We put symlinks in /bin since some things still expect '/bin/mail' or '/bin/Mail':
+mkdir -p $PKG/bin
+( cd $PKG/bin
+ ln -sf /usr/bin/mailx Mail
+ ln -sf /usr/bin/mailx mail
+ ln -sf /usr/bin/mailx nail
+)
+
+# Likewise, we make some compat symlinks in /usr/bin:
+( cd $PKG/usr/bin
+ ln -sf mailx Mail
+ ln -sf mailx mail
+ ln -sf mailx nail
+)
+
+mv $PKG/etc/nail.rc $PKG/etc/nail.rc.new
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Manpage links:
+( cd $PKG/usr/man/man1
+ ln -sf mailx.1.gz mail.1.gz
+ ln -sf mailx.1.gz nail.1.gz
+ ln -sf mailx.1.gz Mail.1.gz
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING* INSTALL NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/s-nail/s-nail.info b/network/s-nail/s-nail.info
new file mode 100644
index 0000000000..56f3b7e627
--- /dev/null
+++ b/network/s-nail/s-nail.info
@@ -0,0 +1,10 @@
+PRGNAM="s-nail"
+VERSION="14.9.11"
+HOMEPAGE="https://www.sdaoden.eu/code.html#s-nail"
+DOWNLOAD="https://www.sdaoden.eu/downloads/s-nail-14.9.11.tar.xz"
+MD5SUM="28171468f4eedde496c381ec65aaf379"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README%"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/network/s-nail/slack-desc b/network/s-nail/slack-desc
new file mode 100644
index 0000000000..ab63a8e702
--- /dev/null
+++ b/network/s-nail/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+s-nail: s-nail (mail sending and receiving utility)
+s-nail:
+s-nail: S-nail provides a simple and friendly environment for sending and
+s-nail: receiving mail. It is intended to provide the functionality of the
+s-nail: POSIX mailx command, but is MIME capable and optionally offers
+s-nail: extensions for line editing, S/MIME, SMTP and POP3, among others. It
+s-nail: divides incoming mail into its constituent messages and allows the
+s-nail: user to deal with them in any order. It offers many COMMANDS and
+s-nail: INTERNAL VARIABLES for manipulating messages and sending mail. It
+s-nail: offers simple editing capabilities, and increasingly powerful and
+s-nail: reliable non-interactive scripting capabilities.